账户会话

GET /core/v1/tasks/{id}/content

个人已结算 PNG 产物

身份要求

账户会话. 会话/管理写操作不在公共 Playground 执行。

接口

curl --request GET 'https://api.oneaster.ai/core/v1/tasks/00000000-0000-4000-8000-000000000001/content' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \
  --output artifact.png

参数

- id (path, 必填): {"type":"string","format":"uuid"}

响应

200

已结算图片返回私有 PNG,no-store、nosniff,跨用户/Key 404。视频返回 409 provider_url_delivery,请从任务 artifact.url 读取 KIE 链接,不提供 Core 视频代理/归档/Range。

{
  "image/png": {
    "schema": {
      "type": "string",
      "format": "binary"
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}